## org.apache.lucene.analysis.fr
Class FrenchMinimalStemFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.fr.FrenchMinimalStemFilterFactory

    public class FrenchMinimalStemFilterFactory

extends TokenFilterFactory

Factory for `FrenchMinimalStemFilter`.

     <fieldType name="text_frminstem" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.StandardTokenizerFactory"/>
         <filter class="solr.LowerCaseFilterFactory"/>
         <filter class="solr.ElisionFilterFactory"/>
         <filter class="solr.FrenchMinimalStemFilterFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`FrenchMinimalStemFilterFactory()`

Method Summary
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchMinimalStemFilterFactory

    public FrenchMinimalStemFilterFactory()

Method Detail

### create

    public TokenStream create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.